safariextz for Safari 10.1.2 on macOS 10.10.5?

isend

New Member
Installing safari-beta-2.6.5.safariextz crashes my old Safari. How may I find an older version of safariextz file that I can try?
 

Boo Berry

Moderator + Beta Tester
Moderator
The newer 2.10.8 is the last version I see on GitHub with a .safariextz release, and you can go back further on the GitHub releases page for the browser extension (Safari support was dropped post 2.10.8 in favor of the AdGuard for Safari app extension).

 

isend

New Member
Thank you. Where may I download safariextz 2.10.8?
P.S. Safari Extensions in App Store does not support my macOS 10.10.
 

Boo Berry

Moderator + Beta Tester
Moderator
P.S. Safari Extensions in App Store does not support my macOS 10.10.
No, it doesn't. Safari only works with app extensions now in newer macOS releases. Just wondering, why are you using 10.10? That's a pretty old release and I don't think Apple even supports it anymore.
 

isend

New Member
No, it doesn't. Safari only works with app extensions now in newer macOS releases. Just wondering, why are you using 10.10? That's a pretty old release and I don't think Apple even supports it anymore.
Just because I have an old, slow computer (2010). Yes, Apple stopped supporting 10.10 with security updates in 2017. For now I feel okay with 10.10. I think eventually I will upgrade or buy a new computer, but just not right now. :)
 

Boo Berry

Moderator + Beta Tester
Moderator
Just because I have an old, slow computer (2010). Yes, Apple stopped supporting 10.10 with security updates in 2017. For now I feel okay with 10.10. I think eventually I will upgrade or buy a new computer, but just not right now. :)
If interested, there *are* ways to force macOS updates on older Macs all the way back to 2008, depending which macOS version you wanted.

macOS Sierra

macOS High Sierra

macOS Mojave

macOS Catalina
 
Top